Bric::Util::Trans::SFTP - SFTP Client interface for distributing resources. $LastChangedRevision$ $LastChangedDate: 2007-03-30 20:44:41 +0200 (Fri, 30 Mar 2007) $ use Bric::Util::Trans::SFTP The distribution API uses this class to distribute resources to other servers via SFTP.

Constructors
NONE.

Destructors
NONE.

Public Class Methods
NONE.

Public Instance Methods
NONE.

Public Functions
Puts the files specified by the $resources object on the servers specified by $st. Throws: Unable to login to remote server. Unable to create directory on remote server. Unable to put resource on remote server. Side Effects: NONE. Notes: Uses Net::SFTP internally. Deletes the files specified by the $resources object from the servers specified by $st. Throws: Unable to login to remote server. Unable to delete resource from remote server. Side Effects: NONE. Notes: See put_res(), above.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
Anonymous subroutine to prevent warning messages. Throws: NONE. Notes: NONE. Pass in a Bric::Dist::Server object to get back a list of arguments suitable for passing to "Net::SFTP->new()". NONE. Scott Lanning <slanning@theworld.com> Bric, Bric::Dist::Action, Bric::Dist::Action::Mover, Bric::Util::Trans::FS, Net::SFTP, Net::SSH::Perl